Summary: Log file rotation program for web servers.
Summary(ko): 웹서버 로그 로테이션 프로그램
Name: cronolog
Version: 1.6.2
Release: 14%{?dist}
Epoch: 100
License: GPL
Group: System Environment/Base
Source0: http://www.cronolog.org/download/%{name}-%{version}.tar.gz
Source1: cronolog-usege-korean
Source2: cronocomp
Source3: cronolog.cron
Source4: cronolog.sysconfig

Patch0: cronolog-perlpath.patch
Patch1: cronolog-define-strptime.patch
Patch2: cronolog-doc.patch
Patch3: cronolog-getopt-long.patch
Patch4: cronolog-large-file.patch
Patch5: cronolog-missing-symlink.patch
Patch6: cronolog-setugid.patch
Patch7: cronolog-sigusr1.patch
Patch8: cronolog-strftime.patch
Patch9: cronolog-umask.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: perl

%description
cronolog is a simple filter program that reads log file entries from
standard input and writes each entry to the output file specified
by a filename template and the current date and time. When the
expanded filename changes, the current file is closed and a new one
opened. cronolog is intended to be used in conjunction with a Web server,
such as Apache, to split the access log into daily or monthly logs.

%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
install -m644 %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/USAGE-KR

%build
aclocal && autoconf && automake --add-missing

CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr \
	--sbindir=/usr/sbin \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}

make %{_smp_mflags}

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mkdir_p} %{buildroot}%{_infodir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__mkdir_p} %{buildroot}%{_sysconfdir}/{cron.d,sysconfig}

%{__install} -m755 src/cronolog %{buildroot}%{_sbindir}/cronolog
%{__install} -m755 src/cronosplit %{buildroot}%{_sbindir}/cronosplit
%{__install} -m644 doc/cronolog.info %{buildroot}%{_infodir}/cronolog.info
%{__install} -m644 doc/cronolog.1m %{buildroot}%{_mandir}/man1/cronolog.1
%{__install} -m644 doc/cronosplit.1m %{buildroot}%{_mandir}/man1/cronosplit.1

sed -i 's|/www/sbin|/usr/sbin|g' %{buildroot}/%{_mandir}/man1/*

%{__install} -m755 %{SOURCE2} %{buildroot}%{_sbindir}/cronocomp
%{__install} -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.d/cronolog
%{__install} -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/cronolog

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755, root, root) %{_sbindir}/crono*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%{_mandir}/man1/cronolog.1.gz
%{_mandir}/man1/cronosplit.1.gz
%{_infodir}/cronolog.info.gz
%doc COPYING ChangeLog INSTALL NEWS README TODO USAGE-KR

%changelog
* Thu Jan 15 2015 JoungKyun.Kim <http://oops.org> 100:1.6.2-14%{?dist}
- rebuild on AN3

* Sat Dec 21 2013 JoungKyun.Kim <http://oops.org> 1:1.6.2-4%{?dist}
- fixed typo to LOGDIR from logdir in cronocmp

* Mon Jul  1 2013 JoungKyun.Kim <http://oops.org> 1:1.6.2-3%{?dist}
- using strptime and strftime
- fixed getopt-long option
- fixed missing symlink
- support set[ug]id
- support sigusr1
- support umask

* Mon Mar 26 2012 JoungKyun.Kim <http://oops.org> 1:1.6.2-2%{?dist}
- fixed cronocomp that don't operate $PERIOD
- change cronlog.cron that execute 1 time per day

* Sun Feb 26 2012 JoungKyun.Kim <http://oops.org> 1:1.6.2-1%{?dist}
- 1st packaged
